## org.opennms.netmgt.snmp.snmp4j
Class Snmp4JTrapNotifier.Snmp4JV1TrapInformation

    java.lang.Object
      org.opennms.netmgt.snmp.TrapInformation
          org.opennms.netmgt.snmp.snmp4j.Snmp4JTrapNotifier.Snmp4JV1TrapInformation

All Implemented Interfaces:
  org.opennms.netmgt.snmp.TrapNotification

Enclosing class:
  Snmp4JTrapNotifier

    public static class Snmp4JTrapNotifier.Snmp4JV1TrapInformation

extends org.opennms.netmgt.snmp.TrapInformation

Constructor Summary
`protected` `Snmp4JTrapNotifier.Snmp4JV1TrapInformation(java.net.InetAddress agent, java.lang.String community, org.snmp4j.PDUv1 pdu, org.opennms.netmgt.snmp.TrapProcessor trapProcessor)`

Method Summary
`protected int` `getPduLength()`
`protected long` `getTimeStamp()`
`protected java.net.InetAddress` `getTrapAddress()`
`protected org.opennms.netmgt.snmp.TrapIdentity` `getTrapIdentity()`
`protected org.snmp4j.smi.VariableBinding` `getVarBindAt(int i)`
`protected java.lang.String` `getVersion()`
`protected void` `processVarBindAt(int i)`

Methods inherited from class org.opennms.netmgt.snmp.TrapInformation
`getAgent, getAgentAddress, getCommunity, getTrapProcessor, log, processTrap, processVarBind, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Snmp4JTrapNotifier.Snmp4JV1TrapInformation

    protected Snmp4JTrapNotifier.Snmp4JV1TrapInformation(java.net.InetAddress agent,
                                                         java.lang.String community,
                                                         org.snmp4j.PDUv1 pdu,
                                                         org.opennms.netmgt.snmp.TrapProcessor trapProcessor)

Method Detail

### getTrapAddress

    protected java.net.InetAddress getTrapAddress()

  Specified by:
    `getTrapAddress` in class `org.opennms.netmgt.snmp.TrapInformation`

### getVersion

    protected java.lang.String getVersion()

  Specified by:
    `getVersion` in class `org.opennms.netmgt.snmp.TrapInformation`

### getPduLength

    protected int getPduLength()

  Specified by:
    `getPduLength` in class `org.opennms.netmgt.snmp.TrapInformation`

### getTimeStamp

    protected long getTimeStamp()

  Specified by:
    `getTimeStamp` in class `org.opennms.netmgt.snmp.TrapInformation`

### getTrapIdentity

    protected org.opennms.netmgt.snmp.TrapIdentity getTrapIdentity()

  Specified by:
    `getTrapIdentity` in class `org.opennms.netmgt.snmp.TrapInformation`

### getVarBindAt

    protected org.snmp4j.smi.VariableBinding getVarBindAt(int i)

### processVarBindAt

    protected void processVarBindAt(int i)

  Specified by:
    `processVarBindAt` in class `org.opennms.netmgt.snmp.TrapInformation`

Copyright © 2009. All Rights Reserved.